> ## Documentation Index
> Fetch the complete documentation index at: https://moengage-sdk-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Coupon Files From Coupon List

> This API allows you to retrieve the details of each file in the given coupon list that is added and not deleted. The information retrieved will include the file's status, the number of coupons added from each file, and the respective file's addition date, thereby providing a comprehensive breakdown of each file's information for improved management and tracking.


<Note>
  There is no request body or content to send for this request except for headers.
</Note>

### Rate Limit

You can fetch 10,000 coupon files from coupon lists per day.


## OpenAPI

````yaml /api/coupons-list/coupons-list.yaml get /coupon-list/{coupon_list_id}/files
openapi: 3.0.3
info:
  title: Coupon List API 🏷️
  description: >
    API for managing coupon lists within the MoEngage system. This includes
    creating, fetching, updating, activating, archiving lists, uploading coupon
    files, managing files, and generating usage reports.

    Authentication is via Basic Auth using your **Workspace ID** as username and
    an **API Key** as password.
  version: '1.0'
servers:
  - url: https://api-0{dc}.moengage.com/v1
    description: >-
      The MoEngage Coupon Management API endpoint. The **X** in the URL is
      replaced by the data center number (e.g., 1, 2, 3).
    variables:
      dc:
        default: '1'
        description: >-
          The data center number (e.g., 1, 2, 3). Check the data center mapping
          page to find your value.
security:
  - basicAuth: []
tags:
  - name: Coupon Lists
    description: >-
      Operations related to defining, managing status (active/archive), and
      modifying coupon list metadata.
  - name: Coupon Files
    description: >-
      Operations related to uploading coupon codes via files and
      checking/managing file processing status.
  - name: Reports
    description: Operations related to generating usage reports for coupon lists.
paths:
  /coupon-list/{coupon_list_id}/files:
    get:
      tags:
        - Coupon Files
      summary: Fetch All Coupon Files From Coupon List
      description: >
        This API allows you to retrieve the details of each file in the given
        coupon list that is added and not deleted. The information retrieved
        will include the file's status, the number of coupons added from each
        file, and the respective file's addition date, thereby providing a
        comprehensive breakdown of each file's information for improved
        management and tracking.
      operationId: fetchAllCouponFiles
      parameters:
        - $ref: '#/components/parameters/AppKeyHeader'
        - name: coupon_list_id
          in: path
          required: true
          description: The unique identifier for the coupon list.
          schema:
            type: string
      responses:
        '200':
          description: >
            Success

            Indicates that the request was successful and the coupon files have
            been fetched.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        coupon_list_id:
                          type: string
                          description: >-
                            This field contains the coupon list ID from which
                            you fetched the coupon files.
                        name:
                          type: string
                          description: This field contains the coupon file name.
                        status:
                          type: string
                          description: >
                            This field shows one of the following statuses of
                            the fetched coupon files:

                            * PENDING
                        file_url:
                          type: string
                          description: >-
                            This field consists of the file path of the coupon
                            list.
                        created_at:
                          type: string
                          description: >-
                            This field consists of the date and time the coupon
                            file was created.
                        updated_at:
                          type: string
                          description: >-
                            This field consists of the date and time of the most
                            recent update to the coupon file.
                        created_by:
                          type: string
                          description: >-
                            This field consists of the name of the subscriber
                            who uploaded the coupon file.
                        _id:
                          type: string
                          description: >-
                            This field contains the unique ID corresponding to a
                            successful coupon file fetch request. This ID is
                            also used to update and archive coupon files from
                            the coupon list.
                        added_coupons:
                          type: integer
                          description: >-
                            This field consists of the available number of
                            coupons added to the coupon list.
                        callback_url:
                          type: string
                          description: This field consists of the callback URL.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: >
            Too Many Requests - The rate limit for the API has been exceeded.


            The following headers are returned in case of rate-limit breach:

            * `x-ratelimit-limit` (integer): The maximum number of requests that
            the consumer is permitted to make in a given time window.

            * `x-ratelimit-remaining` (integer): The number of requests
            remaining in the current rate limit window.

            * `x-ratelimit-reset` (integer): The time at which the current rate
            limit window resets in UTC epoch seconds.
          headers:
            x-ratelimit-limit:
              schema:
                type: integer
              description: >-
                The maximum number of requests that the consumer is permitted to
                make in a given time window.
            x-ratelimit-remaining:
              schema:
                type: integer
              description: >-
                The number of requests remaining in the current rate limit
                window.
            x-ratelimit-reset:
              schema:
                type: integer
              description: >-
                The time at which the current rate limit window resets in UTC
                epoch seconds.
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    AppKeyHeader:
      name: MOE-APPKEY
      in: header
      required: true
      description: >
        This is the workspace ID (earlier APP ID) of your MoEngage workspace.
        The MOE-APPKEY has to be passed in the request. You can find your
        MoEngage Workspace ID in the MoEngage Dashboard: **Settings** ->
        **Account** -> **APIs** -> **Workspace ID (earlier app id)**.
      schema:
        type: string
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
    Error:
      type: object
      properties:
        code:
          type: string
          description: >-
            Each error codes are unique and serve as a shorthand representation
            for the type of error, providing a quick reference that can be used
            to diagnose, troubleshoot, and address the problem based on a
            predefined set of error conditions.
        message:
          type: string
          description: >-
            Along with the error code, a detailed message is also provided in
            the response, describing the specifics of the request failure and
            the nature of the error.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Uses **Workspace ID** as username and **API Key** as password.

````